/* Created by Content Block Wizard */
.impressionen {
    width: 90%;
    max-width: 90% !important;
    position:relative;
    margin:0 auto;
    margin-bottom:8%;
}
.single-impression {
    float: left;
    display: block;
    margin:5px;
}
.single-impression img {
    display: block;
    width:100%;
    height:100%;
    object-fit: cover;

}
.clear {
    display: block;
    position: relative;
    clear:both;
}
/* 2 Columns */
.impressionswrap.twocolumns .single-impression.image-onecolumn {
    width:calc(50% - 10px);
}
.impressionswrap.twocolumns .single-impression.image-twocolumn {
    width:calc(100% - 10px);
}
.impressionswrap.twocolumns .single-impression.singleheight {
    height:calc(30vh - 5px);
}
.impressionswrap.twocolumns .single-impression.doubleheight {
    height:calc(60vh - 5px);
}
.impressionswrap.twocolumns .single-impression.trippleheight {
    height:90vh;
}
/* 3 Columns */
.impressionswrap.threecolumns .single-impression.image-onecolumn {
    width:calc(33.333% - 10px);
}
.impressionswrap.threecolumns .single-impression.image-twocolumn {
    width:calc(66.666% - 10px);
}
.impressionswrap.threecolumns .single-impression.image-threecolumn {
    width:calc(100% - 10px);
}
.impressionswrap.threecolumns .single-impression.singleheight {
    height:calc(25vh - 5px);
}
.impressionswrap.threecolumns .single-impression.doubleheight {
    height:50vh;
}
.impressionswrap.threecolumns .single-impression.trippleheight {
    height:75vh;
}
/* 4 Columns */
.impressionswrap.fourcolumns .single-impression.image-onecolumn {
    width:calc(25% - 15px);
}
.impressionswrap.fourcolumns .single-impression.image-twocolumn {
    width:calc(50% - 15px);
}
.impressionswrap.fourcolumns .single-impression.image-threecolumn {
    width:calc(75% - 25px);
}
.impressionswrap.fourcolumns .single-impression.singleheight {
    height:calc(20vh - 5px);
}
.impressionswrap.fourcolumns .single-impression.doubleheight {
    height:calc(40vh - 5px);
}
.impressionswrap.fourcolumns .single-impression.trippleheight {
    height:60vh;
}
/* Responsive */
@media only screen and (max-width: 1100px) {
    /* 2 Columns */
    .impressionswrap.twocolumns .single-impression.singleheight,
    .impressionswrap.twocolumns .single-impression.doubleheight,
    .impressionswrap.twocolumns .single-impression.trippleheight {
        height: calc(30vh - 5px);
    }
    .impressionswrap.twocolumns .single-impression.image-onecolumn,
    .impressionswrap.twocolumns .single-impression.image-twocolumn,
    .impressionswrap.twocolumns .single-impression.image-threecolumn {
        width: calc(50% - 10px);
    }
    /* 3 Columns */
    .impressionswrap.threecolumns .single-impression.singleheight,
    .impressionswrap.threecolumns .single-impression.doubleheight,
    .impressionswrap.threecolumns .single-impression.trippleheight {
        height: calc(30vh - 5px);
    }
    .impressionswrap.threecolumns .single-impression.image-onecolumn,
    .impressionswrap.threecolumns .single-impression.image-twocolumn,
    .impressionswrap.threecolumns .single-impression.image-threecolumn {
        width: calc(50% - 10px);
    }
    /* 4 Columns */
    .impressionswrap.fourcolumns .single-impression.singleheight,
    .impressionswrap.fourcolumns .single-impression.doubleheight,
    .impressionswrap.fourcolumns .single-impression.trippleheight {
        height: calc(30vh - 5px);
    }
    .impressionswrap.fourcolumns .single-impression.image-onecolumn,
    .impressionswrap.fourcolumns .single-impression.image-twocolumn,
    .impressionswrap.fourcolumns .single-impression.image-threecolumn,
    .impressionswrap.fourcolumns .single-impression.image-fourcolumn {
        width: calc(50% - 10px);
    }
}


@media only screen and (max-width: 900px) {
    /* 2 Columns */
    .impressionswrap.twocolumns .single-impression.singleheight,
    .impressionswrap.twocolumns .single-impression.doubleheight,
    .impressionswrap.twocolumns .single-impression.trippleheight {
        height: auto
    }
    .impressionswrap.twocolumns .single-impression.image-onecolumn,
    .impressionswrap.twocolumns .single-impression.image-twocolumn,
    .impressionswrap.twocolumns .single-impression.image-threecolumn {
        width: 100%;
    }
    /* 3 Columns */
    .impressionswrap.threecolumns .single-impression.singleheight,
    .impressionswrap.threecolumns .single-impression.doubleheight,
    .impressionswrap.threecolumns .single-impression.trippleheight {
        height: auto
    }
    .impressionswrap.threecolumns .single-impression.image-onecolumn,
    .impressionswrap.threecolumns .single-impression.image-twocolumn,
    .impressionswrap.threecolumns .single-impression.image-threecolumn {
        width: 100%;
    }
    /* 4 Columns */
    .impressionswrap.fourcolumns .single-impression.singleheight,
    .impressionswrap.fourcolumns .single-impression.doubleheight,
    .impressionswrap.fourcolumns .single-impression.trippleheight {
        width: 100%;
    }
    .impressionswrap.fourcolumns .single-impression.image-onecolumn,
    .impressionswrap.fourcolumns .single-impression.image-twocolumn,
    .impressionswrap.fourcolumns .single-impression.image-threecolumn,
    .impressionswrap.fourcolumns .single-impression.image-fourcolumn {
        height: auto
    }

}